{: test a compilation error occurs when double pointer is defined }

{$d+}
program e041( output );

type realp = ^real;

var
   xp   : ^real;
   xpp1 : ^realp;  {OK}
   xpp  : ^^real;  {!!! double pointer not allowed }

begin {e041}
   new(xp);
   new(xpp);
   new(xpp1);
   xp^ := 89;
   xpp^^ := 89;
    writeln( 'fails: non-ordinal lhs of in operator not detected' );

end. {e041}

